#ifndef device_streams_dialog_H
#define device_streams_dialog_H

#include <QDialog>
#include <QMenu>
#include "ui_device_streams_dialog.h"
#include "SH_runtime.h"


class DeviceStreamsDialog: public QDialog, protected Ui::DeviceStreamsDialog {
	Q_OBJECT
public:
	explicit DeviceStreamsDialog(QWidget * parent = 0);
	~DeviceStreamsDialog();

	void setDeviceStreams(const QVector<SHS::DeviceParameters> & dsl);
	QVector<SHS::DeviceParameters> deviceStreams() const;
	int exec() override;

private:
	void createAddMenu();
	void checkAddMenu();

	QMenu add_menu;

private slots:
	void on_buttonRemove_clicked();
	void on_tree_itemClicked(QTreeWidgetItem * item, int column);

};

#endif
